#pragma once

#include "CoreMinimal.h"
#include "BaseLoadoutPartViewData.h"
#include "EStatusEffectType.h"
#include "ELoadoutPartState.h"
#include "AddonViewData.generated.h"

USTRUCT(BlueprintType)
struct FAddonViewData : public FBaseLoadoutPartViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EStatusEffectType StatusEffectType;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	ELoadoutPartState LoadoutPartState;

public:
	DBDUIVIEWINTERFACES_API FAddonViewData();
};

FORCEINLINE uint32 GetTypeHash(const FAddonViewData) { return 0; }
